Page MenuHomePhabricator

Deploy new print styles to all mobile devices
Closed, ResolvedPublic2 Story Points

Description

Adjustments to be made that block deployment

  • T163752 should be deployed on the production cluster (25th May 2017).

Acceptance criteria

  • Prior to deployment, check the increase in bytes shipped that enabling print styles has introduced and ensure it's within reasonable limits (reasonable as defined by the team)
  • In mediawiki-config enable wgMinervaPrintStyles so that they load in stable and beta

Sign off checklist

  • Verify no significant impact on performance using our dashboard
  • Create a task to cleanup and remove MinervaPrintStyles config variable - T166408

Testing Criteria

  1. Go to https://ca.m.wikipedia.org/wiki/Ada_Lovelace on a mobile device
  2. Select "print" from the browser options
  3. Note inconsistencies in print styles

Other articles to test:
https://ca.m.wikipedia.org/wiki/1815 (tables)
https://ca.m.wikipedia.org/wiki/Berl%C3%ADn (very long infobox, tables)
https://ca.m.wikipedia.org/wiki/Llista_d%27identitats_trigonom%C3%A8triques (tables, math)

Event Timeline

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 18 2017, 11:51 PM
Jdlrobson lowered the priority of this task from High to Normal.Apr 19 2017, 12:27 AM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson raised the priority of this task from Normal to High.Apr 26 2017, 2:35 PM
ovasileva updated the task description. (Show Details)May 9 2017, 4:15 PM
ovasileva set the point value for this task to 2.May 9 2017, 4:18 PM

Change 353979 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable print styles for Minerva

https://gerrit.wikimedia.org/r/353979

Jdlrobson updated the task description. (Show Details)May 16 2017, 11:23 AM

^ Per description (T163752 should be deployed on the production cluster (25th May 2017).)

ovasileva updated the task description. (Show Details)May 24 2017, 5:50 PM

We discussed this in standup and decided that if we enabled it today we would be able to test on Hebrew Wikipedia. We can live with the blockers for a period less than 24hrs. I will prepare a patch.

Change 355478 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Enable print styles in Minerva

https://gerrit.wikimedia.org/r/355478

Jdlrobson added a comment.EditedMay 24 2017, 7:22 PM

Enabling print styles bumps the CSS load on the page from 8.6kb -> 9.2kb. (.4kb). I think this acceptable, but I will let the dashboards confirm that when this goes live.
On SWAT calendar for later today.

Change 355478 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable print styles in Minerva

https://gerrit.wikimedia.org/r/355478

Mentioned in SAL (#wikimedia-operations) [2017-05-24T23:18:10Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable print styles in Minerva (T163287) (duration: 00m 42s)

Jdlrobson reassigned this task from Jdlrobson to ovasileva.May 24 2017, 11:33 PM
Jdlrobson removed a project: Patch-For-Review.

print styles are now live for mobile devices. Looks good to me but @ovasileva please sign off.

Jdlrobson updated the task description. (Show Details)May 26 2017, 6:11 PM
ovasileva reassigned this task from ovasileva to ABorbaWMF.May 29 2017, 10:20 AM

I did some looking at various PDFs on a laptop and some devices. The goal was to identify the differences between the 1 column and 2 column layouts. I did not find any functional issues with 'printing' either of the PDFs. Here are some screenshots and general observations. Let me know if any of these should become tickets.

1 Column Layout2 Column Layout
Main
Main
Haushund
Haushund
Funktion (mid-page)
Funktion (mid-page)
Bavaria
Bavaria

Notes and Observations

  1. 1 Column layout was more visually appealing.
  2. Multiple placement inconsistencies between the layouts, but that was expected. I was looking for out-of-place images, but it is difficult to say which images are related to which text areas due to my lack of German understanding. I imagine that later we can do a better review in English.
  3. The ordering of images from top-to-bottom changes between layouts. I noticed the top most image was different in most cases. For example: On the Bavaria article, the statue is the top most image on the 2 column layout, and it is the 3rd or 4th image in the 1 column layout.
  4. For the mathematics article, I noticed that the images were oddly placed on page 6 of the 2 column layout.
  5. Main page does not print well as PDF when using the 2 Column layout.
  6. No bookmarks on the 1 Column documents. The bookmarks on the 2 Column layout are present.
  7. 2 Column has strange paragraph wrapping.
  8. 2 Column layout is missing the content and taxonomy boxes.

Here are the PDFs I used for testing:




@ovasileva Let me know if there's anything else to look through. Thanks!

I think there may have been some confusion here. The print function needs to be tested on a mobile device. We have not done any changes to the desktop print styles.

@ABorbaWMF, @Jdlrobson - a bit of confusion - I think these are the results for the exploratory QA for the desktop print styles and electron work - I'll move this under that card.

@ABorbaWMF - the testing criteria for this card is in the task description - we're mostly interested in looking at a few different browsers/devices

@ovasileva, Yes sorry. My bad. I'll take a look.

Change 353979 abandoned by Jdlrobson:
Enable print styles for Minerva

Reason:
SEE https://gerrit.wikimedia.org/r/#/c/355478/

https://gerrit.wikimedia.org/r/353979

@ovasileva & @Jdlrobson, I did some checking with real devices. I found a few issues. Mainly differences in the text size, but there were also things like page numbers appearing on iOS PDFs and not on Android PDFs. That's just one example. There are many subtle differences. There were problems with displaying tables and contents of tables, especially on the trigonometriques article.

Screens shots & Files

Ada Lovelace
iPhone 7+iPhone 5siPad Mini 2PixelNexus 4

Files:


Lots of issues with displaying tables

Trigonometriques
iPhone 7+iPhone 5siPad Mini 2PixelNexus 4

Files:





@ABorbaWMF - tested after lazy-loading images. Outside of images not present, tables seem to render correctly.

ovasileva reassigned this task from ABorbaWMF to Nirzar.Jun 7 2017, 10:29 AM
ovasileva added a subscriber: ABorbaWMF.

looks good from my side, over to @Nirzar for signoff.

Jdlrobson closed this task as Resolved.Jun 12 2017, 6:35 PM